Results 1 to 10 of 10
  1. #1
    gafa's Avatar
    gafa is offline Senior Member
    Join Date
    Jun 2010
    Posts
    107
    Rep Power
    0

    Exclamation cannot install plugins

    Hi :)

    I am to download the NetBeans plugins but when I started doing that NetBeans reported me I need to have additional plugins preinstalled before starting downloading my basic plugin :(
    I have my NetBeans offline. I tried to find the additional plugins and download them but for some reason I couldn't find any... :confused:
    Without these additional plugins I cannot download my basic plugin :(
    Please help me to find the additional plugins links or something because I am really confused with that.

    NetBeans 6.5.1


    Here is the NetBeans report.

    Some plugins require plugin javax.jmi.reflect to be installed.
    The plugin javax.jmi.reflect is requested in version 1.5.1.
    The following plugin is affected: ******UML-NetBeans Integration

    Some plugins require plugin org.netbeans.api.mdr to be installed.
    The plugin org.netbeans.api.mdr is requested in version 1.2.1.
    The following plugin is affected: ******UML-NetBeans Integration

    Some plugins require plugin org.netbeans.jmi.javamodel to be installed.
    The plugin org.netbeans.jmi.javamodel is requested in version 1.18.1.
    The following plugin is affected: ******UML-NetBeans Integration

    Some plugins require plugin org.netbeans.modules.java to be installed.
    The plugin org.netbeans.modules.java is requested in version 1.23.1.2.2.2.
    The following plugin is affected: ******UML-NetBeans Integration

    Some plugins require plugin org.netbeans.modules.javacore to be installed.
    The plugin org.netbeans.modules.javacore is requested in version 1.15.1.2.2.
    The following plugin is affected: ******UML-NetBeans Integration

    Some plugins require plugin org.netbeans.modules.refactoring to be installed.
    The plugin named org.netbeans.modules.refactoring is needed and not found.
    The following plugin is affected: ******UML-NetBeans Integration

    Some plugins require plugin org.openide.src to be installed.
    The plugin org.openide.src is requested in version 1.6.1.
    The following plugin is affected: ******UML-NetBeans Integration

    Some plugins not installed to avoid potential installation problems.
    Thanks

  2. #2
    Webuser is offline Senior Member
    Join Date
    Dec 2008
    Posts
    526
    Rep Power
    0

    Default

    What basic plugin are you trying to download?

  3. #3
    Fubarable's Avatar
    Fubarable is offline Moderator
    Join Date
    Jun 2008
    Posts
    19,316
    Blog Entries
    1
    Rep Power
    26

  4. #4
    gafa's Avatar
    gafa is offline Senior Member
    Join Date
    Jun 2010
    Posts
    107
    Rep Power
    0

    Default

    Quote Originally Posted by Webuser View Post
    What basic plugin are you trying to download?
    Hello, Webuser :)

    I am trying to download the UML plugin... It is the NetBeans UML
    But my IDE is offline and that's why I have to find the missing additional plugins. But It is a real problem for me :( I dearly hope for your skills here, guys :D

  5. #5
    gafa's Avatar
    gafa is offline Senior Member
    Join Date
    Jun 2010
    Posts
    107
    Rep Power
    0

    Default

    Does anybody here know how to find plugins manually? :confused:
    Please, I need help!

  6. #6
    Eranga's Avatar
    Eranga is offline Moderator
    Join Date
    Jul 2007
    Location
    Colombo, Sri Lanka
    Posts
    11,372
    Blog Entries
    1
    Rep Power
    20

    Default

    Did you check on the NetBeans log? And also didn't it prompt what are the required plugins?

    If you can do this online, it wont take much time to install plugins.

    By the way, which plugin are you going to install?

  7. #7
    Eranga's Avatar
    Eranga is offline Moderator
    Join Date
    Jul 2007
    Location
    Colombo, Sri Lanka
    Posts
    11,372
    Blog Entries
    1
    Rep Power
    20

    Default

    Did you check on the NetBeans log? And also didn't it prompt what are the required plugins?

    If you can do this online, it wont take much time to install plugins.

    By the way, which plugin are you going to install?

  8. #8
    gafa's Avatar
    gafa is offline Senior Member
    Join Date
    Jun 2010
    Posts
    107
    Rep Power
    0

    Exclamation

    Quote Originally Posted by Eranga View Post
    Did you check on the NetBeans log? And also didn't it prompt what are the required plugins?

    If you can do this online, it wont take much time to install plugins.

    By the way, which plugin are you going to install?
    I am trying to download this NetBeans UML uml plugin...
    My major problem is I cannot use my tools upgrades because my IDE computer is offline :( So I need a zip/jar plugin for offline install...

    And when I download plugin NetBeans UML my NetBeans reports these plugins required:

    Some plugins require plugin javax.jmi.reflect to be installed.
    The plugin javax.jmi.reflect is requested in version 1.5.1.
    The following plugin is affected: ******UML-NetBeans Integration

    Some plugins require plugin org.netbeans.api.mdr to be installed.
    The plugin org.netbeans.api.mdr is requested in version 1.2.1.
    The following plugin is affected: ******UML-NetBeans Integration

    Some plugins require plugin org.netbeans.jmi.javamodel to be installed.
    The plugin org.netbeans.jmi.javamodel is requested in version 1.18.1.
    The following plugin is affected: ******UML-NetBeans Integration

    Some plugins require plugin org.netbeans.modules.java to be installed.
    The plugin org.netbeans.modules.java is requested in version 1.23.1.2.2.2.
    The following plugin is affected: ******UML-NetBeans Integration

    Some plugins require plugin org.netbeans.modules.javacore to be installed.
    The plugin org.netbeans.modules.javacore is requested in version 1.15.1.2.2.
    The following plugin is affected: ******UML-NetBeans Integration

    Some plugins require plugin org.netbeans.modules.refactoring to be installed.
    The plugin named org.netbeans.modules.refactoring is needed and not found.
    The following plugin is affected: ******UML-NetBeans Integration

    Some plugins require plugin org.openide.src to be installed.
    The plugin org.openide.src is requested in version 1.6.1.
    The following plugin is affected: ******UML-NetBeans Integration

    Some plugins not installed to avoid potential installation problems.

    Please help !
    Last edited by gafa; 07-07-2010 at 07:48 PM.

  9. #9
    Eranga's Avatar
    Eranga is offline Moderator
    Join Date
    Jul 2007
    Location
    Colombo, Sri Lanka
    Posts
    11,372
    Blog Entries
    1
    Rep Power
    20

  10. #10
    gafa's Avatar
    gafa is offline Senior Member
    Join Date
    Jun 2010
    Posts
    107
    Rep Power
    0

    Default

    Quote Originally Posted by Eranga View Post
    Did you search those things on NetBeans?
    I was trying to search but I couldn't find any :(

Similar Threads

  1. About plugins in Eclipse
    By bishnu in forum Advanced Java
    Replies: 3
    Last Post: 12-23-2008, 03:11 AM
  2. plugins & gnatbench
    By eclipseUser in forum Eclipse
    Replies: 0
    Last Post: 12-15-2008, 06:23 PM
  3. want to add new plugins for decompilation
    By sengupta_piyal06 in forum Eclipse
    Replies: 0
    Last Post: 11-26-2008, 03:13 PM
  4. spring plugins
    By freddieMaize in forum Web Frameworks
    Replies: 1
    Last Post: 05-28-2008, 09:36 PM
  5. GUI Plugins
    By ravian in forum Eclipse
    Replies: 1
    Last Post: 11-13-2007, 12:18 PM

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •